> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Vytvořit nový API klíč



## OpenAPI

````yaml /openapi/cs/rest/restapi_v1.yaml post /apikey/add
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API pro správu účtů a dalších zdrojů SmsManageru.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Odpoví s daty vašeho požadavku
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API klíč
    description: |
      Pro správu API klíčů použijte následující koncové body.
  - name: status
    x-displayName: Stav
    description: |
      Pro čtení stavu odeslaných zpráv použijte následující koncové body.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /apikey/add:
    post:
      tags:
        - api
      summary: Vytvořit nový API klíč
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                shared:
                  type: boolean
                  description: >-
                    Pokud je true, nový API klíč bude sdílet váš kreditní limit.
                    Pokud je false, nový API klíč bude mít vlastní kredit.
                currency:
                  type: string
                  description: >-
                    Měna pro API klíč. Pokud je nový API klíč sdílený, měna musí
                    být stejná jako u rodičovského API klíče(!)
                  default: CZK
                  enum:
                    - EUR
                    - CZK
      responses:
        '200':
          description: Nový API klíč
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Stav úspěchu.
                    example: true
                  apikey:
                    type: string
                    description: Nový API klíč.
                    example: '1234567890'
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````